camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-4442) OpenJPA bundle used in camel-jpa should be more blueprint friendly
Date Mon, 12 Sep 2011 14:36:10 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-4442?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13102692#comment-13102692
] 

Claus Ibsen commented on CAMEL-4442:
------------------------------------

I think we have a JIRA ticket to upgrade to JPA2. That would be nice to get done.

> OpenJPA bundle used in camel-jpa should be more blueprint friendly
> ------------------------------------------------------------------
>
>                 Key: CAMEL-4442
>                 URL: https://issues.apache.org/jira/browse/CAMEL-4442
>             Project: Camel
>          Issue Type: Improvement
>          Components: camel-jpa
>    Affects Versions: 2.8.0
>            Reporter: Ioannis Canellos
>
> camel-jpa is using openjpa version 1.2.2. Even though openjpa provides an OSGi bundle
for that version, that bundle does not a service of the interface javax.persistence.spi.PersistenceProvider
as it should to be fully compliant with the spec and also work with the blueprint.
> This is something that is fixed in versions 2.x of openjpa, however they implement JPA2.
> If we want to continue using 1.x version of openjpa we should, wrap up the openjpa bundle
and export this service. 
> I have already wrapped up openjpa under servicemix bundles (see [SMX4-909]). 
> We should use this bundle as soon as it gets released, or switch to 2.x. 

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message